package com.fs.store.service;

import java.util.List;
import com.fs.store.domain.FsStoreCouponUser;
import com.fs.store.param.FsCouponUserEnableParam;
import com.fs.store.vo.FsStoreCouponUserVO;

/**
 * 优惠券发放记录Service接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface IFsStoreCouponUserService 
{
    /**
     * 查询优惠券发放记录
     * 
     * @param id 优惠券发放记录ID
     * @return 优惠券发放记录
     */
    public FsStoreCouponUser selectFsStoreCouponUserById(Long id);

    /**
     * 查询优惠券发放记录列表
     * 
     * @param fsStoreCouponUser 优惠券发放记录
     * @return 优惠券发放记录集合
     */
    public List<FsStoreCouponUser> selectFsStoreCouponUserList(FsStoreCouponUser fsStoreCouponUser);

    /**
     * 新增优惠券发放记录
     * 
     * @param fsStoreCouponUser 优惠券发放记录
     * @return 结果
     */
    public int insertFsStoreCouponUser(FsStoreCouponUser fsStoreCouponUser);

    /**
     * 修改优惠券发放记录
     * 
     * @param fsStoreCouponUser 优惠券发放记录
     * @return 结果
     */
    public int updateFsStoreCouponUser(FsStoreCouponUser fsStoreCouponUser);

    /**
     * 批量删除优惠券发放记录
     * 
     * @param ids 需要删除的优惠券发放记录ID
     * @return 结果
     */
    public int deleteFsStoreCouponUserByIds(Long[] ids);

    /**
     * 删除优惠券发放记录信息
     * 
     * @param id 优惠券发放记录ID
     * @return 结果
     */
    public int deleteFsStoreCouponUserById(Long id);

    int updateFsCouponByExpire();

    List<FsStoreCouponUser> selectFsStoreCouponUserListByEnable(FsCouponUserEnableParam param);

    List<FsStoreCouponUserVO> selectFsStoreCouponUserListVO(FsStoreCouponUser fsStoreCouponUser);
}
